import request from '@/utils/request'

// 查询结算物料列表
export function listSettlementMaterial(query) {
  return request({
    url: '/business/settlementMaterial/list',
    method: 'get',
    params: query
  })
}

// 查询结算物料详细
export function getSettlementMaterial(id) {
  return request({
    url: '/business/settlementMaterial/' + id,
    method: 'get'
  })
}

// 新增结算物料
export function addSettlementMaterial(data) {
  return request({
    url: '/business/settlementMaterial',
    method: 'post',
    data: data
  })
}

// 修改结算物料
export function updateSettlementMaterial(data) {
  return request({
    url: '/business/settlementMaterial',
    method: 'put',
    data: data
  })
}

// 删除结算物料
export function delSettlementMaterial(id) {
  return request({
    url: '/business/settlementMaterial/' + id,
    method: 'delete'
  })
}
